<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class DataMenuKursUebersichtBeendete extends DataMenuKursUebersichtBlaettern
{
  public function getKurse()
  {
    $dbwuebersicht = new \DBWorkKurseINetAktivFilter();
    $dbwuebersicht->orderby = 'beginn_dat';
    $dbwuebersicht->orderbyasc = true;

    return $dbwuebersicht->getKurseBeendete();
  }

  public function getAnzahlProSeite()
  {
    return $this->settings->kurseproseite_beendete;
  }

  public function getsight($sightid = 761)
  {
    parent::getsight($sightid);
  }
}